import 'package:flutter/material.dart';
import 'package:get_it/get_it.dart';

import '../CommonApi/CoreModelFinter.dart';
import '../CommonApi/ResultObject.dart';
import '../CommonApi/CommonAppApi.dart';
import 'CommonUltil.dart';
import 'CommonWidget.dart';

GetIt getIt = GetIt.instance;

class CommonRegister {
  static final CommonRegister _commonRegister = new CommonRegister._internal();
  CommonRegister._internal();
  factory CommonRegister() => _commonRegister;
  @protected
  @mustCallSuper
  void RegisterInitGetIt() {
    getIt.registerFactory(() => CommonUlti());
    getIt.registerFactory(() => CommonWidget());
    getIt.registerFactory(() => CommonAppApi());
    getIt.registerSingleton(ResultObject);
    getIt.registerSingleton(CoreModelFinter);
  }
}
